org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPASTLambdaExpression

All Superinterfaces:
  IASTExpression, IASTImplicitDestructorNameOwner, IASTImplicitNameOwner, IASTInitializerClause, IASTNode, ICPPASTExpression, ICPPASTInitializerClause

    public interface ICPPASTLambdaExpression
    extends ICPPASTExpression, IASTImplicitNameOwner

Lambda expression, introduced in C++11.

Since:
  5.3

### Nested Class Summary

Nested Classes
`static class` `ICPPASTLambdaExpression.CaptureDefault` The capture default can be by copy, by reference or unspecified.

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`IASTExpression.ValueCategory`

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static ASTNodeProperty` `BODY`
`static ASTNodeProperty` `CAPTURE`
`static ASTNodeProperty` `DECLARATOR`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`EMPTY_EXPRESSION_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitDestructorNameOwner

`IMPLICIT_DESTRUCTOR_NAME`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitNameOwner

`IMPLICIT_NAME`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addCapture(ICPPASTCapture capture)` Not allowed on frozen AST.
`IASTCompoundStatement` `getBody()` Returns the compound statement of this lambda expression.
`ICPPASTLambdaExpression.CaptureDefault` `getCaptureDefault()` Returns the capture default for this lambda expression.
`ICPPASTCapture[]` `getCaptures()` Returns the array of captures for this lambda expression.
`IASTImplicitName` `getClosureTypeName()` Returns an implicit name that represents the closure type.
`ICPPASTFunctionDeclarator` `getDeclarator()` Returns the lambda declarator for this lambda expression, or `null` in case it was not specified.
`IASTImplicitName` `getFunctionCallOperatorName()` Returns an implicit name that represents the implicit function call operator of the closure.
`void` `setBody(IASTCompoundStatement body)` Not allowed on frozen AST.
`void` `setCaptureDefault(ICPPASTLambdaExpression.CaptureDefault value)` Not allowed on frozen AST.
`void` `setDeclarator(ICPPASTFunctionDeclarator dtor)` Not allowed on frozen AST.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`copy, copy, getExpressionType, getValueCategory, isLValue`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTInitializerClause

`getEvaluation`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitDestructorNameOwner

`getImplicitDestructorNames`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitNameOwner

`getImplicitNames`

### Field Detail

#### CAPTURE

    static final ASTNodeProperty CAPTURE

#### DECLARATOR

    static final ASTNodeProperty DECLARATOR

#### BODY

    static final ASTNodeProperty BODY

### Method Detail

#### getCaptureDefault

    ICPPASTLambdaExpression.CaptureDefault getCaptureDefault()

Returns the capture default for this lambda expression.

#### getCaptures

    ICPPASTCapture[] getCaptures()

Returns the array of captures for this lambda expression.

#### getClosureTypeName

    IASTImplicitName getClosureTypeName()

Returns an implicit name that represents the closure type.

#### getDeclarator

    ICPPASTFunctionDeclarator getDeclarator()

Returns the lambda declarator for this lambda expression, or `null` in case it was not specified.

#### getFunctionCallOperatorName

    IASTImplicitName getFunctionCallOperatorName()

Returns an implicit name that represents the implicit function call operator of the closure.

#### getBody

    IASTCompoundStatement getBody()

Returns the compound statement of this lambda expression. Can be `null` when creating AST for content assist.

#### setCaptureDefault

    void setCaptureDefault(ICPPASTLambdaExpression.CaptureDefault value)

Not allowed on frozen AST.

See Also:
  `getCaptureDefault()`

#### addCapture

    void addCapture(ICPPASTCapture capture)

Not allowed on frozen AST.

See Also:
  `getCaptures()`

#### setDeclarator

    void setDeclarator(ICPPASTFunctionDeclarator dtor)

Not allowed on frozen AST.

See Also:
  `getDeclarator()`

#### setBody

    void setBody(IASTCompoundStatement body)

Not allowed on frozen AST.

See Also:
  `getBody()`